Subject: JMP> [Fwd: Management Target MIB]

From: Randy Turner <[email-masked]>
Date: Fri, 04 Apr 1997 14:30:22 -0800

-- 
Randy Turner
Network Architect
Sharp Laboratories of America
[email-masked]

Subject: Management Target MIB
From: Bob Stewart <[email-masked]>
To: Distributed Management WG <[email-masked]>
Date: Wed, 2 Apr 1997 08:13:54 -0500

Internet Draft           Management Target MIB             26 March 1997

                         Management Target MIB

                             26 March 1997

               draft-ietf-disman-mgt-target-mib-00.txt

                              Bob Stewart
                          Cisco Systems, Inc.
                           [email-masked]

                          Status of this Memo

This document is an Internet-Draft.  Internet-Drafts are working
documents of the Internet Engineering Task Force (IETF), its areas, and
its working groups.  Note that other groups may also distribute working
documents as Internet-Drafts.

Internet-Drafts are draft documents valid for a maximum of six months
and may be updated, replaced, or obsoleted by other documents at any
time.  It is inappropriate to use Internet- Drafts as reference material
or to cite them other than as ``work in progress.''

To learn the current status of any Internet-Draft, please check the
``1id-abstracts.txt'' listing contained in the Internet- Drafts Shadow
Directories on ds.internic.net (US East Coast), nic.nordu.net (Europe),
ftp.isi.edu (US West Coast), or munnari.oz.au (Pacific Rim).

Expires 26 March 1997+6 months                                  [Page 1]


Internet Draft           Management Target MIB             26 March 1997

1.  Abstract

This memo defines an experimental portion of the Management Information
Base (MIB) for use with network management protocols in the Internet
community.  In particular, it describes managed objects used for
managing a list of network management destinations (targets) and the
information needed to get to them and to group them.

Expires 26 March 1997+6 months                                  [Page 2]


Internet Draft           Management Target MIB             26 March 1997

2.  The SNMP Network Management Framework

They are: The SNMP Network Management Framework presently consists of
three major components.  They are:

  the SMI, described in RFC 1902 [1] - the mechanisms used for
  describing and naming objects for the purpose of management.

  the MIB-II, STD 17, RFC 1213 [2] - the core set of managed objects for
  the Internet suite of protocols.

  the protocol, RFC 1157 [3] and/or RFC 1905 [4], - the protocol for
  accessing managed objects.

The Framework permits new objects to be defined for the purpose of
experimentation and evaluation.

2.1.  Object Definitions

Managed objects are accessed via a virtual information store, termed the
Management Information Base or MIB.  Objects in the MIB are defined
using the subset of Abstract Syntax Notation One (ASN.1) defined in the
SMI.  In particular, each object type is named by an OBJECT IDENTIFIER,
an administratively assigned name.  The object type together with an
object instance serves to uniquely identify a specific instantiation of
the object.  For human convenience, we often use a textual string,
termed the descriptor, to refer to the object type.

Expires 26 March 1997+6 months                                  [Page 3]


Internet Draft           Management Target MIB             26 March 1997

3.  Overview

Systems that support SNMP commonly need a list of target systems to
which they can send SNMP messages.  On system that performs only agent
functions this need is for Traps, which requires a subset of the
information appropriate to a system that sends manager messages.  A
system that sends only Inform of the manager messages needs less than a
more general-purpose manager.  This MIB is designed with explicit
subsets for those situations.

This MIB provides infrastructure for other MIBs in the form of target
systems or groups of target systems that can be destinations for SNMP
requests and notifications.  It was designed with the following
requirements and goals in mind.

To address an SNMP message you need:

     transport type, address, and port

     access control (e.g. community)

All of those should be embodied in the selector.

Selection needs to be by some scoping related to a logical entity, but
with finer granularity based on level of access (e.g. read-only or
read-write).

Selection should work the same for an individual scope or a group of
scopes.

Defining a group must work by manual assignment or automation.

All of this must suit either a relatively powerful manager or mid-level
manager, as well as a somewhat more limited self-managing system.

Expires 26 March 1997+6 months                                  [Page 4]


Internet Draft           Management Target MIB             26 March 1997

4.  Definitions

MANAGEMENT-TARGET-MIB DEFINITIONS ::= BEGIN

IMPORTS
    MODULE-IDENTITY, OBJECT-TYPE,
    experimental, Integer32, Unsigned32 FROM SNMPv2-SMI
    TEXTUAL-CONVENTION, RowStatus,
    TimeStamp, DisplayString,
    AutonomousType, DateAndTime FROM SNMPv2-TC
    MODULE-COMPLIANCE, OBJECT-GROUP     FROM SNMPv2-CONF

managementTargetMIB MODULE-IDENTITY
    LAST-UPDATED "9703211700Z"
    ORGANIZATION "IETF Distributed Management Working Group"
    CONTACT-INFO "Bob Stewart
                  Cisco Systems, Inc.
                  170 West Tasman Drive,
                  San Jose CA 95134-1706.
                  Phone: +1 408 526 4527
                  Email: [email-masked]"
    DESCRIPTION
        "The MIB module for defining destination systems for
        network management purposes."
    ::= { experimental xx }

EntryName ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
        "An identification for an entry.  An EntryName
        corresponds one-to-one to an EntryIndex.

        Names are intended for display for humans and should have
        meaninful content accordingly.

        If by policy names are selected with a useful sorting
        order applications can easily retreive only the
        currently interesting subset of the list.

        This is the reliable identification of an entry,
        subject to change only by administrative request."
    SYNTAX      DisplayString (SIZE (1..64))

EntryIndex ::= TEXTUAL-CONVENTION
    STATUS      current

Expires 26 March 1997+6 months                                  [Page 5]


Internet Draft           Management Target MIB             26 March 1997

    DESCRIPTION
        "An integer shorthand identification for an entry.
        An EntryIndex corresponds one-to-one to an
        EntryName.

        Indexes are intended for use by computers as a short,
        convenient handle.  They are of no interest to humans.

        An index may be assigned convenient values by the agent.

        A system may change the value of an EntryIndex
        when it is reinitialized but must correct all references
        to that EntryIndex."
    SYNTAX      Unsigned32 (1..4294967295)

EntryIndexOrZero ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
        "Either an EntryIndex or zero.  The meaning of zero
        depends on the DESCRIPTION of the object."
    SYNTAX      Unsigned32 (0..4294967295)

IANAAddrFamily ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
        "An address family. Values are defined in Assigned Numbers,
        RFC1700. Note that not all these values make sense in all
        contexts where this type is used in this MIB, but they are
        included for completeness."
    REFERENCE
        "Assigned Numbers, RFC1700, ADDRESS FAMILY NUMBERS"
    SYNTAX      INTEGER {
                    other(0),
                    ipV4(1),
                    ipV6(2),
                    nsap(3),
                    hdlc(4),
                    bbn1822(5),
                    ieee802(6),
                    e163(7),
                    e164(8),
                    f69(9),
                    x121(10),
                    ipx(11),

Expires 26 March 1997+6 months                                  [Page 6]


Internet Draft           Management Target MIB             26 March 1997

                    appleTalk(12),
                    decnetIV(13),
                    banyanVines(14),
                    e164WithNsap(15)
                }

GenAddr ::= TEXTUAL-CONVENTION
    STATUS      current
    DESCRIPTION
        "The value of an address."
    SYNTAX      OCTET STRING (SIZE (0..60))

managementTargetMIBObjects OBJECT IDENTIFIER ::= { managementTargetMIB 1 }

mtaSystem       OBJECT IDENTIFIER ::= { targetMIBObjects 1 }
mtaTarget       OBJECT IDENTIFIER ::= { targetMIBObjects 2 }

--
-- System Section
--

mtaSystemLastChange OBJECT-TYPE
    SYNTAX      TimeStamp
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The value of sysUpTime at the most recent addition or
        deletion of a system or a system name change.

        A management application can monitor this object to
        know that the system list has changed in a way
        requiring reloading of the system names."
    ::= { mtaSystem 1 }

--
-- System Creation Table
--

mtaSystemCreationTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaSystemCreationEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of systems of interest to the local system as
        destinations for management operations."

Expires 26 March 1997+6 months                                  [Page 7]


Internet Draft           Management Target MIB             26 March 1997

    ::= { mtaSystemCreationCreation 2 }

mtaSystemCreationEntry OBJECT-TYPE
    SYNTAX      MtaSystemCreationEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management target.

        Entries in this table may be created manually or by network
        management applications such as discovery. New targets can be
        created using mtaSystemCreationStatus.

        To create an entry create the named entry in this
        table and activate it with mtaSystemCreationStatus.  Then use
        mtaSystemIndex to populate mtaSystemTable and
        mtaSystemAddressTable.

        Deleting an entry deletes all related entries in
        mtaSystemTable and mtaSystemAddressTable."
    INDEX       { IMPLIED mtaSystemCreationName }
    ::= { mtaSystemCreationTable 1 }

MtaSystemCreationEntry ::= SEQUENCE {
    mtaSystemCreationName               EntryName,
    mtaSystemIndex                      EntryIndex,
    mtaSystemCreationStatus             RowStatus
}

mtaSystemCreation OBJECT-TYPE
    SYNTAX      EntryName
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A locally-unique, administratively assigned name for the
system."
    ::= { mtaSystemCreationEntry 1 }

mtaSystemIndex OBJECT-TYPE
    SYNTAX      EntryIndex
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The numeric identification of the system."
    ::= { mtaSystemCreationEntry 2 }

Expires 26 March 1997+6 months                                  [Page 8]


Internet Draft           Management Target MIB             26 March 1997

mtaSystemCreationStatus OBJECT-TYPE
    SYNTAX      RowStatus
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The control that allows creation/deletion of entries.
        Once made active an entry may not be modified except to
        delete it or change its name via mtaSystemName."
    ::= { mtaSystemCreationEntry 3 }

--
-- System Table
--

mtaSystemTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaSystemEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of management target system information."
    ::= { mtaSystem 3 }

mtaSystemEntry OBJECT-TYPE
    SYNTAX      MtaSystemEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management target system.

        An entry appears in this table when an mtaSystemCreationEntry
        is activated. Deleting the matching expCreateEntry deletes
        this entry."
    INDEX       { mtaSystemIndex }
    ::= { mtaSystemTable 1 }

MtaSystemEntry ::= SEQUENCE {
    mtaSystemName               EntryName,
    mtaSystemAlgorithm  AutonomousType,
    mtaSystemCreateTime DateAndTime,
    mtaSystemLastContact        DateAndTime,
    mtaSystemSysContact DisplayString,
    mtaSystemSysLocation        DisplayString,
    mtaSystemSysObjectID        OBJECT IDENTIFIER,
    mtaSystemDomainName DisplayString
}

Expires 26 March 1997+6 months                                  [Page 9]


Internet Draft           Management Target MIB             26 March 1997

mtaSystemName OBJECT-TYPE
    SYNTAX      EntryName
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The unique name of the target system, identical to
        mtaSystemCreationName.

        Use this object to change the system's mtaSystemCreationName
        without changing its mtaSystemIndex."
    ::= { mtaSystemEntry 1 }

-- Note:  The remaining objects in this table are required only on
--      systems that manage other systems and have extensive needs
--      for automated group definitions.

mtaSystemAlgorithm OBJECT-TYPE
    SYNTAX      AutonomousType
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The algorithm by which this entry was created.  The value
        0.0 indicates a manual entry."
    DEFVAL { 0 0 }
    ::= { mtaSystemEntry 2 }

mtaSystemCreationTime OBJECT-TYPE
    SYNTAX      DateAndTime
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The date and time when this entry was created.  This is a
        date and time so it has long term significance and on the
        assumption that a manager will have that information."
    DEFVAL      { ''H }
    ::= { mtaSystemEntry 3 }

mtaSystemLastContact OBJECT-TYPE
    SYNTAX      DateAndTime
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The date and time of the last successful management contact
        with the system.  This is a date and time so it has long term
        significance and on the assumption that a manager will have

Expires 26 March 1997+6 months                                 [Page 10]


Internet Draft           Management Target MIB             26 March 1997

        that information."
    DEFVAL      { ''H }
    ::= { mtaSystemEntry 4 }

mtaSystemSysContact OBJECT-TYPE
    SYNTAX      DisplayString
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The system's sysContact value."
    ::= { mtaSystemEntry 5 }

mtaSystemSysLocation OBJECT-TYPE
    SYNTAX      DisplayString
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The system's sysLocation value."
    ::= { mtaSystemEntry 6 }

mtaSystemSysObjectID OBJECT-TYPE
    SYNTAX      OBJECT IDENTIFIER
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The system's sysObjectID value."
    ::= { mtaSystemEntry 7 }

mtaSystemDomainName OBJECT-TYPE
    SYNTAX      DisplayString
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The system's fully-qualified domain name."
    ::= { mtaSystemEntry 8 }

--
-- Addressing Table
--

mtaAddressTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaAddressEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION

Expires 26 March 1997+6 months                                 [Page 11]


Internet Draft           Management Target MIB             26 March 1997

        "A table of address information for either SNMP managers
        or SNMP agents on individual target systems. Entries may
        be created manually or by an application using
        mtaAddressRowStatus."
    ::= { mtaSystem 3 }

mtaAddressEntry OBJECT-TYPE
    SYNTAX      MtaAddressEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management target system.

        An entry appears in this table when an mtaSystemCreationEntry
        is activated. Deleting the matching expCreateEntry deletes
        this entry."
    INDEX       { mtaSystemIndex, mtaAddressIndex }
    ::= { mtaAddressTable 1 }

MtaAddressEntry ::= SEQUENCE {
    mtaIndex                    Unsigned32,
    mtaAddressType                      IANAAddrFamily,
    mtaAddressAddr                      GenAddress,
    mtaAddressPort                      Unsigned32,
    mtaAddressRetransAlgorithm          INTEGER,
    mtaAddressRetransTimer              Integer32,
    mtaAddressRetransMaxRetries Integer32,
    mtaAddressStatus                    RowStatus
}

mtaAddressIndex OBJECT-TYPE
    SYNTAX      Unsigned32 (1..4294967295)
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "An arbitrary integer index to distinguish multiple address
        entries for the same system."
    ::= { mtaAddressEntry 1 }

mtaAddressType OBJECT-TYPE
    SYNTAX      IANAAddrFamily
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The type of the address contained in mtaAddressAddr."

Expires 26 March 1997+6 months                                 [Page 12]


Internet Draft           Management Target MIB             26 March 1997

    DEFVAL      { snmpUDPDomain }
    ::= { mtaAddressEntry 2 }

mtaAddressAddr OBJECT-TYPE
    SYNTAX      GenAddr
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "A management address for the manager or agent.  A
        zero-length string indicates an unknown address."
    DEFVAL      { ''H }
    ::= { mtaAddressEntry 3 }

mtaAddressPort OBJECT-TYPE
    SYNTAX      Unsigned32
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "A port number to use with the transport address.  If not
        explicitly set this object is not instantiated."
    ::= { mtaAddressEntry 4 }

mtaAddressRetransAlgorithm OBJECT-TYPE
    SYNTAX      INTEGER {
                    constant(1),
                    expBackOff(2),
                    randomBackOff(3),
                    other(4)
                }
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The algorithm to use for retransmission to this system."
    DEFVAL      { constant }
    ::= { mtaAddressEntry 5 }

mtaAddressRetransTimer OBJECT-TYPE
    SYNTAX      Integer32 (1..60)
    UNITS       "seconds"
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The minimum number of seconds to wait between retransmit
        attempts."
    DEFVAL      { 2 }

Expires 26 March 1997+6 months                                 [Page 13]


Internet Draft           Management Target MIB             26 March 1997

    ::= { mtaAddressEntry 6 }

mtaAddressRetransMaxRetries OBJECT-TYPE
    SYNTAX      Integer32 (-1..2147483647)
    UNITS       "retries"
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The number of times to resend a message to this manager
        or agent before deciding it is undeliverable.  A value
        of -1 indicates retrying forever."
    DEFVAL      { 2 }
    ::= { mtaAddressEntry 7 }

mtaAddressStatus OBJECT-TYPE
    SYNTAX      RowStatus
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The control that allows creation/deletion of entries."
    ::= { mtaAddressEntry 8 }

--
-- Target Section
--

mtaTargetLastChange OBJECT-TYPE
    SYNTAX      TimeStamp
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The value of sysUpTime at the most recent addition or
        deletion of a target or a target name change.

        A management application can monitor this object to
        know that the target list has changed in a way
        requiring reloading of the target names."
    ::= { mtaTarget 1 }

--
-- Target Creation Table
--

mtaTargetCreationTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaTargetCreationEntry

Expires 26 March 1997+6 months                                 [Page 14]


Internet Draft           Management Target MIB             26 March 1997

    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of targets of interest to the local system as
        destinations for management operations."
    ::= { mtaTarget 2 }

mtaTargetCreationEntry OBJECT-TYPE
    SYNTAX      MtaTargetCreationEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management target.

        Entries in this table may be created manually or by network
        management applications such as discovery. New targets can be
        created using mtaTargetCreationStatus.

        To create an entry create the named entry in this
        table and activate it with mtaTargetCreationStatus.  Then use
        mtaTargetIndex to populate mtaTargetTable and
        mtaTargetAddressTable.

        Deleting an entry deletes all related entries in
        mtaTargetTable, mtaScopeTable, mtaScopeCommunityTable,
        mtaGroupRuleTable, and mtaGroupMemberTable."
    INDEX       { IMPLIED mtaTargetCreationName }
    ::= { mtaTargetCreationTable 1 }

MtaTargetCreationEntry ::= SEQUENCE {
    mtaTargetCreationName               EntryName,
    mtaTargetIndex                      EntryIndex,
    mtaTargetCreationStatus             RowStatus
}

mtaTargetCreationName OBJECT-TYPE
    SYNTAX      EntryName
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A locally-unique, administratively assigned name for the
target."
    ::= { mtaTargetCreationEntry 1 }

mtaTargetIndex OBJECT-TYPE
    SYNTAX      EntryIndex

Expires 26 March 1997+6 months                                 [Page 15]


Internet Draft           Management Target MIB             26 March 1997

    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The numeric identification of the target."
    ::= { mtaTargetCreationEntry 2 }

mtaTargetCreationStatus OBJECT-TYPE
    SYNTAX      RowStatus
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The control that allows creation/deletion of entries.
        Once made active an entry may not be modified except to
        delete it or change its name via mtaTargetName."
    ::= { mtaTargetCreationEntry 3 }

--
-- Target Table
--

mtaTargetTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaTargetEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of management target information."
    ::= { mtaTarget 3 }

mtaTargetEntry OBJECT-TYPE
    SYNTAX      MtaTargetEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management target.

        An entry appears in this table when an mtaTargetCreationEntry
        is activated. Deleting the matching mtaTargetCreationEntry
        deletes this entry."
    INDEX       { mtaTargetIndex }
    ::= { mtaTargetTable 1 }

MtaTargetEntry ::= SEQUENCE {
    mtaTargetName               EntryName,
    mtaTargetType               INTEGER,
    mtaTargetAccess             BITS,

Expires 26 March 1997+6 months                                 [Page 16]


Internet Draft           Management Target MIB             26 March 1997

    mtaTargetVersion            INTEGER
}

mtaTargetName OBJECT-TYPE
    SYNTAX      EntryName
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The unique name of the target, identical to
        mtaTargetCreationName.

        Use this object to change the target's mtaTargetCreationName
        without changing its mtaTargetIndex."
    ::= { mtaTargetEntry 1 }

mtaTargetType OBJECT-TYPE
    SYNTAX      INTEGER { scope(1), group(2) }
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The target type, either an individual scope or a group of
        scopes and groups."
    DEFVAL { scope }
    ::= { mtaTargetEntry 2 }

mtaTargetAccess OBJECT-TYPE
    SYNTAX      BITS { readOnly, readWrite, notification }
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The access allowed to the target.

        All scopes in a group must have the same mtaTargetAccess."
    DEFVAL { 0 }
    ::= { mtaTargetEntry 3 }

mtaTargetVersion OBJECT-TYPE
    SYNTAX      INTEGER { community(1) }
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The access control version applicable to the target.

        The value 'community' indicates SNMPv1 or SNMPv2c.  The
        necessary information is in mtaScopeCommunityTable.

Expires 26 March 1997+6 months                                 [Page 17]


Internet Draft           Management Target MIB             26 March 1997

        All scopes in a group must have the same mtaTargetVersion."
    DEFVAL { community }
    ::= { mtaTargetEntry 4 }

--
-- Scope Table
--

mtaScopeTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaScopeEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of management target scope information."
    ::= { mtaTarget 4 }

mtaScopeEntry OBJECT-TYPE
    SYNTAX      MtaScopeEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management scope.

        An entry appears in this table when an mtaTargetEntry's
        mtaTargetType is set to 'scope'.  Setting that object
        to a different value deletes this entry."
    INDEX       { mtaTargetIndex }
    ::= { mtaScopeTable 1 }

MtaScopeEntry ::= SEQUENCE {
    mtaScopeSystemIndex EntryIndex
}

mtaScopeSystemIndex OBJECT-TYPE
    SYNTAX      EntryIndex
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The system that supports this scope."
    ::= { mtaScopeEntry 1 }
--
-- Scope Community Table
--

mtaScopeCommunityTable OBJECT-TYPE

Expires 26 March 1997+6 months                                 [Page 18]


Internet Draft           Management Target MIB             26 March 1997

    SYNTAX      SEQUENCE OF MtaScopeCommunityEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of management target scope community information."
    ::= { mtaTarget 4 }

mtaScopeCommunityEntry OBJECT-TYPE
    SYNTAX      MtaScopeCommunityEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Community information about a single management scope.

        An entry appears in this table when an mtaTargetEntry's
        mtaTargetVersion is set to 'community'.  Setting that
        object to any other value deletes this entry."
    INDEX       { mtaTargetIndex }
    ::= { mtaScopeCommunityTable 1 }

MtaScopeCommunityEntry ::= SEQUENCE {
    mtaScopeCommunity   OCTET STRING
}

mtaScopeCommunity OBJECT-TYPE
    SYNTAX      OCTET STRING
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "The community string necessary to access this scope."
    ::= { mtaScopeCommunityEntry 1 }

--
-- Group Rule Table
--

mtaGroupRuleTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaGroupRuleEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of management target group membership rules."
    ::= { mtaTarget 5 }

mtaGroupRuleEntry OBJECT-TYPE

Expires 26 March 1997+6 months                                 [Page 19]


Internet Draft           Management Target MIB             26 March 1997

    SYNTAX      MtaGroupRuleEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management group rule.

        Entries are created in this table using mtaGroupRuleStatus.

        Entries are deleted with mtaGroupRuleStatus, when the
        group is deleted using mtaTargetStatus, or if mtaTargetType
        is changed to 'scope'."
    INDEX       { mtaTargetIndex }
    ::= { mtaGroupRuleTable 1 }

MtaGroupRuleEntry ::= SEQUENCE {
    mtaGroupRuleCondition       OBJECT IDENTIFIER,
    mtaGroupRuleStatus  RowStatus
}

mtaGroupRuleCondition OBJECT-TYPE
    SYNTAX      OBJECT IDENTIFER
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "An integer-valued object that defines membership in the
        for all values of mtaSystemIndex.  The object identifier's
        instance must end in mtaSystemIndex or its semantic
        equivalent.  That portion of the object identifier is not
        included in the value of this object.

        If the value of the condition object for a given
        mtaSystemIndex is 0, the corresponding system is not a
        member of this group, otherwise it is a member."
    ::= { mtaGroupRuleEntry 1 }

mtaGroupRuleStatus OBJECT-TYPE
    SYNTAX      RowStatus
    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The control that allows creation/deletion of entries."
    ::= { mtaGroupRuleEntry 2 }

--
-- Group Member Table

Expires 26 March 1997+6 months                                 [Page 20]


Internet Draft           Management Target MIB             26 March 1997

--

mtaGroupMemberTable OBJECT-TYPE
    SYNTAX      SEQUENCE OF MtaGroupMemberEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "A table of management target group membership information."
    ::= { mtaTarget 6 }

mtaGroupMemberEntry OBJECT-TYPE
    SYNTAX      MtaGroupMemberEntry
    MAX-ACCESS  not-accessible
    STATUS      current
    DESCRIPTION
        "Information about a single management group member.

        Entries exist in this table either by manual operation using
        mtaGroupMemberStatus or by operation of
        mtaGroupRuleConditional.

        The first value of mtaTargetIndex in the instance must be
        of mtaTargetType 'group'.  The second may be of mtaTargetType
        'group' or 'scope'."
    INDEX       { mtaTargetIndex, mtaTargetIndex }
    ::= { mtaGroupMemberTable 1 }

MtaGroupMemberEntry ::= SEQUENCE {
    mtaGroupMemberManual        TruthValue,
    mtaGroupMemberStatus        RowStatus
}

mtaGroupMemberManual OBJECT-TYPE
    SYNTAX      TruthValue
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "Indication of whether this group was was created manually
        (true) or by the operation of mtaGroupRuleCondition (false).

        Entries created by rule may not be deleted."
    ::= { mtaGroupMemberEntry 1 }

mtaGroupMemberStatus OBJECT-TYPE
    SYNTAX      RowStatus

Expires 26 March 1997+6 months                                 [Page 21]


Internet Draft           Management Target MIB             26 March 1997

    MAX-ACCESS  read-create
    STATUS      current
    DESCRIPTION
        "The control that allows creation/deletion of entries."
    ::= { mtaGroupRuleEntry 2 }

-- The compliance statements have yet to be written.  The intent is
-- that all objects are required except where otherwise mentioned above
-- and that a self-managing system need not support groups by rule or
-- groups at all.

END

Expires 26 March 1997+6 months                                 [Page 22]


Internet Draft           Management Target MIB             26 March 1997

5.  Acknowledgements

This MIB contains considerable contributions from the RMON MIB, the
Distributed Management Design Team (Andy Bierman, Maria Greene, Bob
Stewart, and Steve Waldbusser), and colleagues at Cisco.

Expires 26 March 1997+6 months                                 [Page 23]


Internet Draft           Management Target MIB             26 March 1997

6.  References

[1]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and
     S. Waldbusser, "Structure of Management Information for version 2
     of the Simple Network Management Protocol (SNMPv2)", RFC 1902,
     January 1996.

[2]  McCloghrie, K., and M. Rose, Editors, "Management Information Base
     for Network Management of TCP/IP-based internets: MIB-II", STD 17,
     RFC 1213, March 1991.

[3]  Case, J., Fedor, M., Schoffstall, M., and J. Davin, "Simple Network
     Management Protocol", RFC 1157, May 1990.

[4]  SNMPv2 Working Group, Case, J., McCloghrie, K., Rose, M., and
     S. Waldbusser, "Protocol Operations for version 2 of the Simple
     Network Management Protocol (SNMPv2)", RFC 1905, January 1996.

Expires 26 March 1997+6 months                                 [Page 24]


Internet Draft           Management Target MIB             26 March 1997

7.  Security Considerations

Security issues are not discussed in this memo.

8.  Author's Address

     Bob Stewart
     Cisco Systems, Inc.
     170 West Tasman Drive
     San Jose, CA 95134-1706

     Phone: 408-526-4527
     Email: [email-masked]

Expires 26 March 1997+6 months                                 [Page 25]


Internet Draft           Management Target MIB             26 March 1997

Table of Contents

1 Abstract ........................................................    2
2 The SNMP Network Management Framework ...........................    3
2.1 Object Definitions ............................................    3
3 Overview ........................................................    4
4 Definitions .....................................................    5
5 Acknowledgements ................................................   23
6 References ......................................................   24
7 Security Considerations .........................................   25
8 Author's Address ................................................   25

Expires 26 March 1997+6 months                                 [Page 26]